Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
image
/
deepfake-detection
Detect image deepfakes
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/image/deepfake-detection \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "url": "https://example.com/image.jpg",
  "image": "<string>"
}
'
{
  "data": {
    "score": 123,
    "signals": {
      "fullImageGeneration": {
        "score": 123
      },
      "faceManipulation": {
        "score": 123,
        "facesAnalyzed": 123
      }
    }
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/image/deepfake-detection

Analyze an image for signs of face manipulation.
Submit either a public image URL or a multipart image file. The response returns a normalized verdict, score, and supporting signals. Signals that are not part of this endpoint’s analysis are returned with score: null.

JSON Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/image/deepfake-detection \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com/image.jpg"}'

Multipart Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/image/deepfake-detection \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -F "image=@./image.jpg"
The status field is inconclusive when analysis could not complete within the request deadline.

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

url
string

Public http(s) image URL to analyze. Provide either url or multipart image, not both.

Maximum string length: 4096
Example:

"https://example.com/image.jpg"

image
file

Multipart image file to analyze. Provide either image or url, not both.

Response

Image authenticity analysis result.

data
object
required
meta
object
required